# ===================================================================================
#
# SharePoint Products - CopyMove 2010 Uninstaller
#
# ===================================================================================
$Host.UI.RawUI.WindowTitle = "Uninstalling CopyMove 2010"
$0 = $myInvocation.MyCommand.Definition
$dp0 = [System.IO.Path]::GetDirectoryName($0)
. "$dp0\Functions.ps1"

$myWindowsID=[System.Security.Principal.WindowsIdentity]::GetCurrent()
$myWindowsPrincipal=new-object System.Security.Principal.WindowsPrincipal($myWindowsID)
$adminRole=[System.Security.Principal.WindowsBuiltInRole]::Administrator
if ($myWindowsPrincipal.IsInRole($adminRole))
{
	$Host.UI.RawUI.BackgroundColor = "DarkBlue"
	clear-host
} else
{
	$newProcess = new-object System.Diagnostics.ProcessStartInfo "PowerShell";
	$newProcess.Arguments = $myInvocation.MyCommand.Definition;
    $newProcess.Verb = "runas";
    [System.Diagnostics.Process]::Start($newProcess);
    exit
}

Load-SharePoint-Powershell

Write-Host "- Restarting IIS"
Restart-Service W3SVC -force

Write-Host "- Restarting Timer Service"
Restart-Service SPTimerV4

Write-Host "- Disabling CopyMove farm feature"
Disable-SPFeature -Identity SPPCopyMoveFarm -Confirm:$false

Write-Host "- Retracting Solutions"
UninstallFarmSolution("sharepointproducts_copymove.wsp")
UninstallFarmSolution("sharepointproducts_platform.wsp")

Write-Host "- Removing Solutions"
RemoveFarmSolution("sharepointproducts_copymove.wsp")
RemoveFarmSolution("sharepointproducts_platform.wsp")

Pause
