# ===================================================================================
# Reset.ps1
# (c) SharePoint Products 2010-2013
# ===================================================================================

$Host.UI.RawUI.WindowTitle = "Resetting local SharePoint Services"

$myWindowsID=[System.Security.Principal.WindowsIdentity]::GetCurrent()
$myWindowsPrincipal=new-object System.Security.Principal.WindowsPrincipal($myWindowsID)
$adminRole=[System.Security.Principal.WindowsBuiltInRole]::Administrator
if ($myWindowsPrincipal.IsInRole($adminRole))
{
	$Host.UI.RawUI.BackgroundColor = "DarkBlue"
	clear-host
} else
{
	$newProcess = new-object System.Diagnostics.ProcessStartInfo "PowerShell";
	$newProcess.Arguments = $myInvocation.MyCommand.Definition;
    $newProcess.Verb = "runas";
    [System.Diagnostics.Process]::Start($newProcess);
    exit
}

Write-Host "- Restarting IIS"
Restart-Service W3SVC -force

Write-Host "- Restarting Timer Service"
Restart-Service SPTimerV4

